package lekcija5;

import java.io.Serializable;

@SuppressWarnings("serial")
public class CDDisk implements Serializable {

	private String naziv;
	private String izvodjac;
	private int id;
	
	CDDisk() {
		naziv = "nepoznat";
		izvodjac = new String("nepoznat");
		id = -1;
	}
	
	CDDisk(String naziv, String izvodjac, int id) {
		this.naziv = naziv;
		this.izvodjac = izvodjac;
		this.id = id;
	}

	CDDisk(CDDisk cd) {
		this.naziv = cd.naziv;
		this.izvodjac = cd.izvodjac;
		this.id = cd.id;
	}
	
	public String getNaziv() {
		return naziv;
	}

	public void setNaziv(String naziv) {
		this.naziv = naziv;
	}

	public String getIzvodjac() {
		return izvodjac;
	}

	public void setIzvodjac(String izvodjac) {
		this.izvodjac = izvodjac;
	}

	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public boolean equals(Object obj) {
		if (obj == null)
			return false;
		if (this == obj)
			return true;
		CDDisk d = (CDDisk) obj;
		return (naziv.equals(d.naziv) && izvodjac.equals(d.izvodjac) && id == d.id);
	}

	public String toString() {
		return "CD[ " + naziv + ", " + izvodjac + ", " + id + " ]";
	}
	
	public static void main(String[] args) {
		CDDisk d1 = new CDDisk("Novi disk", "Pevac hitova", 3);
		CDDisk d2 = new CDDisk("Hitovi", "Pevac", 1);
		CDDisk d3 = new CDDisk(d1);
			
		System.out.println(d1);
		System.out.println(d2);
		System.out.println(d3);
		
		if(d1.equals(d2))
			System.out.println("Diskovi su jednaki.");
		else
			System.out.println("Diskovi su razliciti.");
		
		if(d1.equals(d3))
			System.out.println("Diskovi su jednaki.");
		else
			System.out.println("Diskovi su razliciti.");
	}

}
